org.infinispan.schematic.document

## Interface Editor.Observer

- All Known Implementing Classes:
    JcrRepository.ConfigurationChange
  Enclosing interface:
    Editor

      public static interface Editor.Observer

  An interface that can be supplied to the `Editor.apply(Changes,Observer)` and `Editor.apply(Changes, Observer)` methods to receive notifications of the changes that were applied or undone.
  Since:
    5.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArrayValue(Path path, Array.Entry entry)` Insert the entry into the array at the given path.
    `void` | `clear(Path path)` Remove all fields from the document at the supplied path.
    `void` | `put(Path parentPath, String field, Object newValue)` Set to the given value the field in the document at the supplied path.
    `void` | `remove(Path parentPath, String field)` Remove the field from the document at the supplied path.
    `void` | `removeArrayValue(Path path, Array.Entry entry)` Remove the entry from the array at the given path.
    `void` | `setArrayValue(Path path, Array.Entry entry)` Set the supplied entry in the array at the given path.

- - ### Method Detail

    - #### setArrayValue

          void setArrayValue(Path path,
                           Array.Entry entry)

      Set the supplied entry in the array at the given path.
      Parameters:
        `path` - the path within the document of the array
        `entry` - the entry containing the new value and the index

    - #### addArrayValue

          void addArrayValue(Path path,
                           Array.Entry entry)

      Insert the entry into the array at the given path.
      Parameters:
        `path` - the path within the document of the array
        `entry` - the entry containing the new value and the index

    - #### removeArrayValue

          void removeArrayValue(Path path,
                              Array.Entry entry)

      Remove the entry from the array at the given path.
      Parameters:
        `path` - the path within the document of the array
        `entry` - the entry containing the new value and the index

    - #### clear

          void clear(Path path)

      Remove all fields from the document at the supplied path.
      Parameters:
        `path` - the path to the document

    - #### put

          void put(Path parentPath,
                 String field,
                 Object newValue)

      Set to the given value the field in the document at the supplied path.
      Parameters:
        `parentPath` - the path to the parent document in which the field should be updated
        `field` - the name of the field to be updated
        `newValue` - the new value

    - #### remove

          void remove(Path parentPath,
                    String field)

      Remove the field from the document at the supplied path.
      Parameters:
        `parentPath` - the path to the parent document in which the field should be removed
        `field` - the name of the field to be removed

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.